Latest 2.0.0-alpha.8
Homepage https://github.com/vapor/fluent
License MIT
Platforms ios 8.0, osx 10.10, watchos 2.0, tvos 9.0, requires ARC
Authors

Fluent

Fluent

Swift
Build Status
CircleCI
Code Coverage
Codebeat
Slack Status

Fluent is the first Swift ORM and it works great with a wide range of databases. It provides a beautifully expressive and easy to use syntax for interacting with your database.

This repository is the framework’s source code. To view a sample project, check out the Fluent Example.

Clone the Example project to start making your application. If you are also looking for a web server, check out Vapor. It was built to work well with Fluent.

You must have Swift 3 or later installed. You can learn more about Swift 3 at Swift.org.

📖 Documentation

Visit the Vapor web framework’s documentation for instructions on how to use this package.

💧 Community

Join the welcoming community of fellow Vapor developers in slack.

🔧 Compatibility

This package has been tested on macOS and Ubuntu.

Latest podspec

{
    "name": "FluentCocoapods",
    "version": "2.0.0-alpha.8",
    "license": "MIT",
    "homepage": "https://github.com/vapor/fluent",
    "authors": {
        "Vapor": "[email protected]"
    },
    "summary": "Swift models, relationships, and querying for NoSQL and SQL databases.",
    "source": {
        "git": "https://github.com/vapor/fluent.git",
        "tag": "2.0.0-alpha.8"
    },
    "platforms": {
        "ios": "8.0",
        "osx": "10.10",
        "watchos": "2.0",
        "tvos": "9.0"
    },
    "requires_arc": true,
    "social_media_url": "https://twitter.com/codevapor",
    "default_subspecs": "Default",
    "pushed_with_swift_version": "3.0",
    "subspecs": [
        {
            "name": "Default",
            "source_files": "Sources/Fluent/**/*.{swift}",
            "exclude_files": "Sources/Fluent/SQLite/**/*.{swift}",
            "dependencies": {
                "Polymorphic": [
                    "2.0.0-alpha.1"
                ],
                "PathIndexable": [
                    "2.0.0-alpha.1"
                ],
                "Bits": [
                    "0.1.2"
                ],
                "NodeCocoapods": [
                    "2.0.0-alpha.5"
                ],
                "Core": [
                    "2.0.0-alpha.2"
                ]
            }
        }
    ]
}

Pin It on Pinterest

Share This